<% ticket_log.details.delete 'id' %>
<% ticket_log.details.delete 'is_guest' %>
<% ticket_log.details.delete 'updated_at' %>
<% ticket_log.details.delete 'created_at' %>

<tr>
  <% if ticket_log.details.keys.count == 1 and ticket_log.details['status'].present? %>
    <td>Status changed from <%= (ticket_log.details['status'][0] || 'open').humanize %> to <%= ticket_log.details['status'][1].humanize %></td>

  <% elsif ticket_log.details.keys.count == 1 and ticket_log.details['staff_id'].present? %>
    <td>Assigned to <%= Staff.find_by_id(ticket_log.details['staff_id'][1]).try(:name) || 'None' %></td>

  <% elsif ticket_log.details.keys.count == 1 and ticket_log.details['priority'].present? %>
    <td>Changed priority from <%= ticket_log.details['priority'][0] %> to <%= ticket_log.details['priority'][1] %></td>

  <% else %>
    <td>
      Updated
      <table class='small table'>
        <% ticket_log.details.each do |key, values| %>
          <% if key == 'staff_id' %>
            <tr>
              <td colspan='2'>Assigned to <%= Staff.find_by_id(values.last).try(:name) || 'None' %></td>
            </tr>
          <% else %>
            <tr>
              <td><%= key.humanize %>: </td>
              <td><%= values.compact.collect(&:to_s).collect(&:humanize).join(' to ') %></td>
            </tr>
          <% end %>
        <% end %>
      </table>
    </td>
  <% end %>
  <td><%= ticket_log.created_at.strftime(TIME_FORMAT1) %></td>
  <td><%= ticket_log.performer.try :name %></td>
</tr>
